<?php

defined('ABSPATH') or die('No script kiddies please!');
global $wpdb, $erp_form_message;
$erp_form_message = new stdClass();
$error_flag = 0;
$process_form = 'true';
$options = get_option(ER_SETTINGS);

$allowedposttags = array(
    'a' => array(
        'href' => array(),
        'title' => array()),
    'br' => array(),
    'p' => array(
        'style' => array()),
    'hr' => array(),
    'abbr' => array(
        'title' => array()),
    'b' => array(),
    'ul' => array(),
    'li' => array(),
    'ol' => array(),
    'h1' => array(
        'style' => array()),
    'h2' => array(
        'style' => array()),
    'h3' => array(
        'style' => array()),
    'h4' => array(
        'style' => array()),
    'h5' => array(
        'style' => array()),
    'h6' => array(
        'style' => array()),
    'span' => array(
        'style' => array()),
    'blockquote' => array(
        'cite' => array()),
    'cite' => array(),
    'code' => array(),
    'del' => array(
        'datetime' => array()),
    'em' => array(),
    'i' => array(),
    'q' => array(
        'cite' => array()),
    'strike' => array(),
    'strong' => array(),
);

$get_data_from_table = $this->erp_pull_review_form_template_by_id($erp_ddef_rev_fo_temp);
if (isset($get_data_from_table[0]) && !empty($get_data_from_table[0])) {
    foreach ($get_data_from_table as $key => $value) {
        $reviewer_template_settings = unserialize($value->reviewer_template_settings);
        $erp_review_form_admin_alert_email_structure = unserialize($value->review_form_email_formats);
    }
}
$captcha = $grecaptcha_response_val;
$captcha_response = $grecaptcha_response_val;
if ($options['erp_enable_disable_google_recaptcha'] == 'on' && !$captcha) {
    $error_flag = 1;
    $process_form = 'false';
    $message_type = 'error';
    $erp_form_message->msg = (!empty($reviewer_template_settings['erp_sub_recaptcha_required_error_text'])) ? esc_attr($reviewer_template_settings['erp_sub_recaptcha_required_error_text']) : __('Please verify that you are a human.', ER_PRO_TEXT_DOMAIN);
    echo 'message_type=' . $message_type . '&message=' . $erp_form_message->msg;
    exit;
} else if ($options['erp_enable_disable_google_recaptcha'] == 'on' && isset($captcha)) {
    $secret_key = $options['erp_recaptcha_secret_api_key'];
    $response = wp_remote_get("https://www.google.com/recaptcha/api/siteverify?secret=" . $secret_key . "&response=" . $captcha_response);
    $captcha_success = json_decode($response['body']);

    if ($captcha_success->success == false) {
        $error_flag = 1;
        $process_form = 'false';
        $message_type = 'error';
        $erp_form_message->msg = (!empty($reviewer_template_settings['erp_sub_recaptcha_error_text'])) ? esc_attr($reviewer_template_settings['erp_sub_recaptcha_error_text']) : __('Invalid racaptcha value. Please Try again.', ER_PRO_TEXT_DOMAIN);
        echo 'message_type=' . $message_type . '&message=' . $erp_form_message->msg;
        exit;
    } else if ($captcha_success->success == true) {
        $process_form = 'true';
    }
}
if ($error_flag == 0 && $process_form == 'true') {
    $image_path_array = array();
    $username = (!empty($fe_user_name)) ? $fe_user_name : '';
    $email_address = (!empty($fe_email_address)) ? $fe_email_address : '';
    $review_title = (!empty($fe_review_title)) ? sanitize_text_field($fe_review_title) : '';
    $review_description = (!empty($fe_review_description)) ? wp_kses(htmlspecialchars_decode($fe_review_description), $allowedposttags) : '';
    $associated_post_id = $erp_cur_pp_id;
    $erp_ddef_rev_template_id = $erp_ddef_rev_temp;
    $current_date = date("Y-m-d h:m:s");

    $form_review_valuess = (is_array($form_review_values)) ? array_map("sanitize_text_field", $form_review_values) : sanitize_text_field($form_review_values);
    $post_stat = isset($options['erp_admin_review_approval']) && $options['erp_admin_review_approval'] == 'on' ? 'draft' : 'approved';

    $table_name = $wpdb->prefix . "everest_user_review_table";
    $insert = $wpdb->insert(
            $table_name, array(
        'review_user_name' => $username,
        'associated_post_id' => $associated_post_id,
        'user_review_email' => $email_address,
        'user_review_title' => $review_title,
        'user_review_description' => $review_description,
        'post_stat' => $post_stat,
        'date' => $current_date,
        'user_review_value' => $form_review_valuess,
        'parent_form_id' => $parent_form_id,
        'review_type' => $erp_ddef_rev_template_id,
        'review_user_images' => ''
            )
    );

    if ($insert) {
        $message_type = 'success';
        $erp_form_message->msg = (!empty($reviewer_template_settings['erp_sub_success_message'])) ? esc_attr($reviewer_template_settings['erp_sub_success_message']) : __('Form Successfully Submitted. Thank you.', ER_PRO_TEXT_DOMAIN);
        echo 'message_type=' . $message_type . '&message=' . $erp_form_message->msg;
        exit;
    } else {
        $message_type = 'error';
        $erp_form_message->msg = (!empty($reviewer_template_settings['erp_sub_failure_message'])) ? esc_attr($reviewer_template_settings['erp_sub_failure_message']) : __('Form Wasnot Submitted. Please Try Again.', ER_PRO_TEXT_DOMAIN);
        echo 'message_type=' . $message_type . '&message=' . $erp_form_message->msg;
        exit;
    }
}

  