(function ($) {
    $(function () {
        $('.erp-setting-tabs-trigger').click(function () {
            $(this).parents('.erp-default-setting-field-wrapper').find('.erp-setting-tabs-trigger').removeClass('erp-active-tab');
            $(this).addClass('erp-active-tab');
            var board_id = $(this).attr('id');
            $(this).parents('.erp-default-setting-field-wrapper').find('.erp-setting-tab-content').each(function () {
                $(this).hide();
            });
            $('#content-' + board_id).show();
        });

        /** Menu option checkbox click for page function */
        $('body').find(".erp-add-feature-button").click(function (e) {
            e.preventDefault();
            var form_key_count = $('.erp-menu-count').val();
            form_key_count++;
            $('body').find('.erp-menu-count').val(form_key_count);
            var parameter_type = $(this).data('parameter-type');
            $.ajax({
                url: erp_backend_js_params.ajax_url,
                data: {
                    parameter_type: parameter_type,
                    _wpnonce: erp_backend_js_params.ajax_nonce,
                    action: 'erp_pull_data_contents'
                },
                type: 'post',
                beforeSend: function () {
                    $('.erp-view-wrap').show();
                },
                success: function (response) {
                    $('.erp-feature-list-temp-holder').html(response);
                    $('.erp-feature-list-temp-holder input').each(function () {
                        var name_attr = $(this).attr('name');
                        if (name_attr) {
                            name_attr = name_attr.replace('feature_list_id', form_key_count);
                            $(this).attr('name', name_attr);
                        }
                    });
                    var html_fields = $('.erp-feature-list-temp-holder').html();
                    $('.erp-sortable-feature-list-field').append(html_fields).show('fast');
                    $('.erp-sortable-feature-list-field .er-feature-list-review-color').wpColorPicker();
                },
                complete: function () {
                    $('.erp-view-wrap').hide();
                    $('.erp-feature-list-temp-holder').html('');
                }
            });
        });
        /** Delete Menu when clicked remove */
        $('.erp-sortable-feature-list-field').on("click", ".er_remov_fl_field", function (e) {
            e.preventDefault();
            if (confirm('Are you sure?')) {
                $(this).parents('.erp-template-feature-list').fadeOut(200, function () {
                    $(this).remove();
                });
            }
            return false;
        });
        $('.erp-basic-color-call').wpColorPicker();
        /** Sortable initialization */
        $('.erp-review-section-elements').sortable({
            handle: 'span.erp-sortable-review-section',
            containment: "parent",
            cursor: 'move',
            revert: true,
            axis: 'y',
            opacity: 0.9
        });

        /** 
         * Show/Hide sortable for submission form setting 
         */
        $('.erp-review-setting-inner').find('span.erp-form-setting-arrow-down').click(function () {
            $(this).parents('.erp-review-setting-inner').find('.erp-review-secondary-setting').slideToggle(500);
            $(this).toggleClass('erp-arrow-down erp-arrow-up');
        });

//sortable admin preview section initialization
        $('.erp-sortable-feature-list-field').sortable({
            handle: 'span.erp-sortable-feature-field-section',
            containment: "parent",
            cursor: 'move',
            axis: 'y',
        });

        $('.erp-slider-admin-rating').find(".erp-slider-input").each(function () {
            var min_val = $(this).data('min-val');
            min_val = (min_val !== '') ? min_val : 1;
            var max_val = $(this).data('max-val');
            max_val = (max_val !== '') ? max_val : 10;
            var increment_type = $(this).data('increment-type');
            increment_type = (increment_type !== '') ? increment_type : 0.1;
            var slider_type = $(this).data('slider-type');
            slider_type = (slider_type !== '') ? slider_type : 'horizontal';
            var slider_value = $(this).parent().find('.erp-feature-list-val').val();
            $(this).slider({
                range: "min",
                min: min_val,
                max: max_val,
                step: increment_type,
                orientation: slider_type,
                value: slider_value,
                slide: function (event, ui) {
                    $(this).parent().find('.erp-feature-list-val').val(ui.value);
                }
            });
        });

        $('.erp-star-admin-rating').find(".erp-star-rating-input").each(function () {
            $this = $(this);

            var max_val = $(this).data('max-val');
            max_val = (max_val !== '') ? max_val : 5;

            var star_number = $(this).data('star-number');
            star_number = (star_number !== '') ? star_number : 5;
            star_inc_type = $(this).data('increment-type');
            star_inc_type_half = (star_inc_type !== '' && star_inc_type == 0.5) ? true : false;
            star_inc_type_full = (star_inc_type !== '' && star_inc_type == 1) ? true : false;

            var star_width = $(this).data('star-width');
            star_width = (star_width !== '') ? star_width + 'px' : 28 + 'px';

            var star_spacing = $(this).data('star-spacing');
            star_spacing = (star_spacing !== '') ? star_spacing + 'px' : 1 + 'px';

            var star_multi_enable = $(this).data('star-multicolor-enable');
            star_multi_enable = (star_multi_enable !== '') ? 'on' : 'off';

            var star_multi_start = $(this).data('star-multicolor-start');
            star_multi_start = (star_multi_start !== '') ? star_multi_start : '';

            var star_multi_end = $(this).data('star-multicolor-end');
            star_multi_end = (star_multi_end !== '') ? star_multi_end : '';

            if (star_multi_enable == 'on') {
                var multicolor_bol = {"startColor": star_multi_start, "endColor": star_multi_end}
            } else {
                var multicolor_bol = false;
            }

            var star_value = $(this).parent().find('.erp-feature-list-val').val();
            star_value = (star_value !== '') ? star_value : 1;

            var star_rated_fill = $(this).data('star-rated-fill');
            star_rated_fill = (star_rated_fill !== '') ? star_rated_fill : '#F39C12';

            $(this).rateYo({
                numStars: star_number,
                fullStar: star_inc_type_full,
                halfStar: star_inc_type_half,
                maxValue: max_val,
                ratedFill: star_rated_fill,
                starWidth: star_width,
                spacing: star_spacing,
                rating: star_value,
                multiColor: false,

            }).on("rateyo.change", function (e, data) {
                $(this).parent().find('.erp-feature-list-val').val(data.rating);
                $(this).closest('p.erp-invalid-review-message').hide();
            });
        });

        $('#erp_general_settings_option').on("change", "#erp-review-admin-rating-type", function (e) {
            var rating_type_value = $(this).val();
            if (rating_type_value == 'star') {
                $('#erp-star-rating-additional-settings').show();
                $('#erp-slider-rating-additional-settings').hide();
            } else {
                $('#erp-star-rating-additional-settings').hide();
                $('#erp-slider-rating-additional-settings').show();
            }
        });

        $('.widgets-holder-wrap').on("change", ".erp-select-page-post-widg", function (e) {
            var input_type_val = $(this).val();
            if (input_type_val == 'custom-page-post') {
                $('.erp-page-post-list-widget-sec').show();
            } else {
                $('.erp-page-post-list-widget-sec').hide();
            }
        });
        // Element Parent Image Live Preview        
        $('body').on('click', '#erp-upload-custom-feature-image-button', function (e) {
            e.preventDefault();
            var formfieldID = jQuery(this).parent().children('input.erp-upload-custom-feature-image-field').attr("id");
            var $this = $(this);
            var image = wp.media({
                title: 'Upload Image',
                multiple: false
            }).open()
                    .on('select', function (e) {
                        var uploaded_image = image.state().get('selection').first();
                        var el_img_url = uploaded_image.toJSON().url;
                        $($this).parent().children('input#' + formfieldID).val(el_img_url);
                    });
        });

        //Min and max value for number type rating
        $('#erp_general_settings_option').on("change", "#erp-review-value-type", function () {
            var review_type_value = $(this).val();
            if (review_type_value == 'percentage') {
                $('.erp-numer-rating-hidden-content').hide();
            } else if (review_type_value == 'numbers') {
                $('.erp-numer-rating-hidden-content').show();
            }
        });

        // Live Review Form Template preview 
        $(".erp-review-form-layout-common").first().addClass("erp-temp-active");
        $('.erp-template-form-review-select').on('change', function () {
            template_value = $(this).val();
            var array_break = template_value.split('-');
            var current_id = array_break[1];
            $('#erp-form-temp-demo-' + current_id).removeClass('erp-temp-active');
            $('.erp-review-form-layout-common').hide();
            $(this).addClass('erp-temp-active');
            $('#erp-form-temp-demo-' + current_id).show();
        });

        // Live Review admin and user Template preview 
        $(".erp-review-admin-user-layout-common").first().addClass("erp-temp-active");
        $('.erp-display-menu-optionss').on('change', function () {
            template_value = $(this).val();
            var array_break = template_value.split('-');
            var current_id = array_break[1];
            $('#erp-admin-user-temp-demo-' + current_id).removeClass('erp-temp-active');
            $('.erp-review-admin-user-layout-common').hide();
            $(this).addClass('erp-temp-active');
            $('#erp-admin-user-temp-demo-' + current_id).show();
        });

        //Implementing Date Picker
        $('#erp-review-custom-date').datetimepicker();

        //Show hide Date field
        $('#erp_review_publish-date-type').on('change', function () {
            if ($(this).val() == 'custom-date') {
                $('.erp-review-date-field').slideDown(300);
            } else {
                $('.erp-review-date-field').slideUp(300);
            }
        });
        //Show hide Date field
        $('#erp-review-publish-verification-tag').on('change', function () {
            if ($(this).val() == 'verification-tag') {
                $('.erp-review-verify-tag-field').slideDown(300);
            } else {
                $('.erp-review-verify-tag-field').slideUp(300);
            }
        });

        

    }); /** Function ends */
    /** Star rating test */

}(jQuery));