(function ($) {
    $(function () {

        //Display Slider Rating for Admin
        $('.erp-slider-admin-rating').find(".erp-slider-input").each(function () {
            var min_val = $(this).data('min-val');
            min_val = (min_val !== '') ? min_val : 1;
            var max_val = $(this).data('max-val');
            max_val = (max_val !== '') ? max_val : 10;
            var increment_type = $(this).data('increment-type');
            increment_type = (increment_type !== '') ? increment_type : 0.1;
            var slider_type = $(this).data('slider-type');
            slider_type = (slider_type !== '') ? slider_type : 'horizontal';
            var slider_value = $(this).data('slider-value');
            $(this).slider({
                range: "min",
                min: min_val,
                max: max_val,
                step: increment_type,
                orientation: slider_type,
                value: slider_value,
            });
            $(this).on("slide", function (event, ui) {
                return false;
            });
        });
        //Display Star Rating for Admin Review
        $('.erp-star-admin-rating').find(".erp-star-rating-input").each(function () {
            $this = $(this);

            var max_val = $(this).data('max-val');
            max_val = (max_val !== '') ? max_val : 5;

            var star_number = $(this).data('star-number');
            star_number = (star_number !== '') ? star_number : 5;
            star_inc_type = $(this).data('increment-type');
            star_inc_type_half = (star_inc_type !== '' && star_inc_type == 0.5) ? true : false;
            star_inc_type_full = (star_inc_type !== '' && star_inc_type == 1) ? true : false;

            var star_width = $(this).data('star-width');
            star_width = (star_width !== '') ? star_width + 'px' : 28 + 'px';

            var star_spacing = $(this).data('star-spacing');
            star_spacing = (star_spacing !== '') ? star_spacing + 'px' : 1 + 'px';

            var star_multi_enable = $(this).data('star-multicolor-enable');
            star_multi_enable = (star_multi_enable !== '') ? star_multi_enable : 'off';

            var star_multi_start = $(this).data('star-multicolor-start');
            star_multi_start = (star_multi_start !== '') ? star_multi_start : '';

            var star_multi_end = $(this).data('star-multicolor-end');
            star_multi_end = (star_multi_end !== '') ? star_multi_end : '';

            if (star_multi_enable == 'on') {
                var multicolor_bol = {"startColor": star_multi_start, "endColor": star_multi_end}
            } else {
                var multicolor_bol = false;
            }

            var star_value = $(this).data('star-value');
            star_value = (star_value !== '') ? star_value : 0;

            var star_rated_fill = $(this).data('star-rated-fill');
            star_rated_fill = (star_rated_fill !== '') ? star_rated_fill : '#F39C12';

            $(this).rateYo({
                numStars: star_number,
                fullStar: star_inc_type_full,
                halfStar: star_inc_type_half,
                maxValue: max_val,
                ratedFill: star_rated_fill,
                readOnly: true,
                starWidth: star_width,
                spacing: star_spacing,
                rating: star_value,
                multiColor: multicolor_bol,

            });
        });

        //Display Bar Rating for Admin Review Frontend
        $('.erp-bar-admin-rating').find(".erp-bar-rating-input").each(function () {
            $this = $(this);
            var bar_value = $(this).data('bar-value');
            bar_value = (bar_value !== '') ? bar_value : 0;

            var progressBarColor = $(this).data('bar-rated-fill');
            progressBarColor = (progressBarColor !== '') ? progressBarColor : '#F39C12';

            $(this).simpleSkillbar({

            });
        });

        $('.erp-circular-admin-rating').find("#erp-circular-rating-input").each(function () {
            $circular_this = $(this);
            var circular_inner_text = $(this).data('inner-text');
            circular_inner_text = (circular_inner_text !== '') ? circular_inner_text : '';

            var circularBarColor = $(this).data('circular-rated-fill');

            circularBarColor = (circularBarColor !== '') ? circularBarColor : '#F39C12';

            $($circular_this).percircle({
                text: circular_inner_text,
                progressBarColor: circularBarColor,
                animate: false
            });
        });

        //Frontend Review Form slider Rating for User Review form
        $('.erp-slider-user-review-rating').find(".erp-slider-input").each(function () {
            var tooltip = $('<div id="erp-tooltip" />').css({
                range: "min",
                position: 'absolute',
                top: -25,
                left: -10,
                color: '#000',
            }).hide();
            var form_layout_type = $(this).parents('.erp-submission-form-wrapper').data('form-type');
            var min_val = $(this).data('min-val');
            min_val = (min_val !== '') ? min_val : 1;
            var max_val = $(this).data('max-val');
            max_val = (max_val !== '') ? max_val : 10;
            var increment_type = $(this).data('increment-type');
            increment_type = (increment_type !== '') ? increment_type : 0.1;
            var slider_type = $(this).data('slider-type');
            slider_type = (slider_type !== '') ? slider_type : 'horizontal';
            var slider_value = $(this).parent().find('.er-feature-list-val').val();
            $(this).children("div").css("background", "red");
            $(this).slider({
                range: "min",
                min: min_val,
                max: max_val,
                step: increment_type,
                orientation: slider_type,
                value: slider_value,
                slide: function (event, ui) {
                    $(this).parent().find('.er-review-form-feature-list-val').val(ui.value);
                    tooltip.text(ui.value);
                    if (form_layout_type !== 'layout-1') {
                        $(this).next('.counter').show().text(ui.value);
                    } else {

                        $(this).parent().find(".ui-slider-handle").append(tooltip).hover(function () {
                            tooltip.show();
                        });

                    }
                },
                change: function (event, ui) {

                }
            })
        });
        //Frontend Review Form Star Rating for User Review form
        $('.erp-star-user-review-rating').find(".erp-star-rating-input").each(function () {
            $this = $(this);
            var tooltip = $('<div id="erp-tooltip" />').css({
                position: 'absolute',
                top: -25,
                left: -10,
                color: '#000',
            }).hide();
            var max_val = $(this).data('max-val');
            max_val = (max_val !== '') ? max_val : 5;

            var star_number = $(this).data('star-number');
            star_number = (star_number !== '') ? star_number : 5;
            star_inc_type = $(this).data('increment-type');
            star_inc_type_half = (star_inc_type !== '' && star_inc_type == 0.5) ? true : false;
            star_inc_type_full = (star_inc_type !== '' && star_inc_type == 1) ? true : false;

            var star_width = $(this).data('star-width');
            star_width = (star_width !== '') ? star_width + 'px' : 28 + 'px';

            var star_spacing = $(this).data('star-spacing');
            star_spacing = (star_spacing !== '') ? star_spacing + 'px' : 1 + 'px';

            var star_multi_enable = $(this).data('star-multicolor-enable');
            star_multi_enable = (star_multi_enable !== '') ? star_multi_enable : 'off';

            var star_multi_start = $(this).data('star-multicolor-start');
            star_multi_start = (star_multi_start !== '') ? star_multi_start : '';

            var star_multi_end = $(this).data('star-multicolor-end');
            star_multi_end = (star_multi_end !== '') ? star_multi_end : '';

            if (star_multi_enable == 'on') {
                var multicolor_bol = {"startColor": star_multi_start, "endColor": star_multi_end}
            } else {
                var multicolor_bol = false;
            }

            var star_value = $(this).parent().find('.er-feature-list-val').val();
            star_value = (star_value !== '') ? star_value : 1;

            var star_rated_fill = $(this).data('star-rated-fill');
            star_rated_fill = (star_rated_fill !== '') ? star_rated_fill : '#F39C12';

            $(this).rateYo({
                numStars: star_number,
                fullStar: star_inc_type_full,
                halfStar: star_inc_type_half,
                maxValue: max_val,
                ratedFill: star_rated_fill,
                starWidth: star_width,
                spacing: star_spacing,
                rating: star_value,
                multiColor: multicolor_bol,

            }).on("rateyo.change", function (e, data) {
                $(this).parent().find('.er-review-form-feature-list-val').val(data.rating);
                $(this).next('.counter').show().text(data.rating);
            });
        });

        $('body').find("input#erp-image-file-input").each(function () {
            var max_image_size = $(this).data('size-limit');
            var max_image_size_message = $(this).data('size-limit-message');
            var max_image_number = $(this).data('number-limit');
            var max_image_number_message = $(this).data('number-limit-message');
            $(this).MultiFile({
                // your options go here
                maxfile: max_image_number,
                maxsize: max_image_size,
                accept: '',
                STRING: {
                    remove: "x",
                    toomuch: max_image_size_message,
                    toomany: max_image_number_message,
                    toobig: "Image is too big (max $size)"
                },
            });
        });

        /** Form Validation */

        //Frontend Review Submission Form
        $('body').on('click', '.erp-review-submission-button', function (e) {

            e.preventDefault();
            error_flag = 0;
            var $this = $(this);
            var form_rate_values = {};
//            var form_data_image = {};
//            var form_data = new FormData();
            $(this).parents('.erp-submission-form-wrapper').find('#erp_input_field_username').each(function () {
                var error_data = $(this).parent().find('.erp-form-required').attr('error-field-data');
                if ($(this).hasClass('erp_required') && ($(this).val() == '')) {
                    error_flag = 1;
                    $(this).addClass('erp-input-field-error');
                    $(this).parent().find('.erp-form-required').html(error_data);
                } else {
                    $(this).parent().find('.erp-form-required').html('');
                }
            });

            $(this).parents('.erp-submission-form-wrapper').find('#erp_input_field_email').each(function () {
                var error_data = $(this).parent().find('.erp-form-required').attr('error-field-data');
                var validation_error_data = $(this).parent().find('.erp-form-required').attr('error-validation-data');
                if ($(this).hasClass('erp_required') && $(this).val() == '') {
                    error_flag = 1;
                    $(this).addClass('erp-input-field-error');
                    $(this).parent().find('.erp-form-required').html(error_data);
                } else if ($(this).hasClass('erp_required') && '' !== $(this).val() && !validateEmail($(this).val())) {
                    $(this).parent().find('.erp-form-required').html(validation_error_data);
                } else {
                    $(this).parent().find('.erp-form-required').html('');
                }
            });

            //Validating the email address
            $(this).parents('.erp-submission-form-wrapper').find('#erp_input_field_email').each(function () {
                var validation_error_data = $(this).parent().find('.erp-form-required').attr('error-validation-data');
                if ('' !== $(this).val() && !validateEmail($(this).val())) {
                    error_flag = 1;
                    $(this).parent().find('.erp-form-required').html(validation_error_data);
                }
            });
            $(this).parents('.erp-submission-form-wrapper').find('#erp_input_field_review_title').each(function () {
                var error_data = $(this).parent().find('.erp-form-required').attr('error-field-data');
                if ($(this).hasClass('erp_required') && $(this).val() == '') {
                    error_flag = 1;
                    $(this).addClass('erp-input-field-error');
                    $(this).parent().find('.erp-form-required').html(error_data);
                } else {
                    $(this).parent().find('.erp-form-required').html('');
                }
            });

            $(this).parents('.erp-submission-form-wrapper').find('#erp_input_field_review_description').each(function () {
                var error_data = $(this).parent().find('.erp-form-required').attr('error-field-data');
                if ($(this).hasClass('erp_required') && $(this).val() == '') {
                    error_flag = 1;
                    $(this).addClass('erp-input-field-error');
                    $(this).parent().find('.erp-form-required').html(error_data);
                } else {
                    $(this).parent().find('.erp-form-required').html('');
                }
            });

            $(this).parents('.erp-submission-form-wrapper').find('.er-review-form-feature-list-val').each(function () {
                var error_data = $(this).parents('.erp-review-rating-val-field').find('.erp-form-required').attr('error-field-data');
                if ($(this).hasClass('erp_required') && $(this).val() == '') {
                    error_flag = 1;
                    $(this).addClass('erp-input-field-error');
                    $(this).parents('.erp-review-rating-val-field').find('.erp-form-required').html(error_data);
                } else {
                    $(this).parents('.erp-review-rating-val-field').find('.erp-form-required').html('');
                }
            });

            $(this).parents('.erp-submission-form-wrapper').find('#erp-image-file-input-section').each(function () {
                var error_data = $(this).parents('#erp-image-input-field').find('.erp-form-required').attr('error-field-data');
                if ($(this).find('.erp_required').hasClass('erp_required') && $(this).parent().find('#erp-image-file-input-section_list').is(':empty')) {
                    error_flag = 1;
                    $(this).addClass('erp-input-field-error');
                    $(this).parents('#erp-image-input-field').find('.erp-form-required').html(error_data);
                } else {
                    $(this).parents('#erp-image-input-field').find('.erp-form-required').html('');
                }
            });
            var grecaptcharesponse = $(this).parents('.erp-submission-form-wrapper').find('#g-recaptcha-response').val();
            if (grecaptcharesponse !== 'undefined') {
                grecaptcha_response_val = grecaptcharesponse;
            } else {
                grecaptcha_response_val = '';
            }

            //Grecaptcha response error field
            if ($(this).parents('.erp-submission-form-wrapper').find('#g-recaptcha-response').val() !== '') {
                $this.parents('.erp-review-submission-form').find('.erp-result-message-field').html('');
            }

            $(this).parents('.erp-submission-form-wrapper').find('.er-review-form-feature-list-val').each(function () {
                form_rate_values[$(this).parent().find(':input.er-feature-list-label').val()] = $(this).val();
            });
            var form_datavalues = JSON.stringify(form_rate_values);

            //Values to send to database
            var user_name = $(this).parents('.erp-submission-form-wrapper').find('#erp_input_field_username').val();
            var email_address = $(this).parents('.erp-submission-form-wrapper').find('#erp_input_field_email').val();
            var review_title = $(this).parents('.erp-submission-form-wrapper').find('#erp_input_field_review_title').val();
            var review_description = $(this).parents('.erp-submission-form-wrapper').find('#erp_input_field_review_description').val();
            var erp_ddef_rev_temp = $(this).parent().find('#erp_ddef_rev_temp').val();
            var erp_page_post_id = $(this).parent().find('#erp_cur_pp_id').val();
            var erp_parent_form_id = $(this).parent().find('#erp_ddef_rev_fo_temp').val();

//            var file_data = $('input[type="file"]')[0].files; // for multiple files
//            for (var i = 0; i < file_data.length; i++) {
//                form_data.append("file_" + i, file_data[i]);
//            }

            //console.log(form_data_image);
            //If everything okay and validation is done

//            form_data.append('user_name', user_name);
//            form_data.append('email_address', email_address);
//            form_data.append('review_description', review_description);
//            form_data.append('page_post_id', erp_page_post_id);
//            form_data.append('parent_form_id', erp_parent_form_id);
//            form_data.append('form_image_values', form_data_image);
//            form_data.append('grecaptcha_response_val', grecaptcha_response_val);
            //console.log(form_data_image);

            //console.log( $('#erp-review-submission-form-zeizmw6HlZ').serialize() );
            if (error_flag == 1) {
                return false;
            } else if (error_flag == 0) {
                $.ajax({
                    url: erp_frontend_js_params.ajax_url,
                    dataType: 'text', // what to expect back from the PHP script
                    type: 'post',
                    data: {
                        user_name: user_name,
                        email_address: email_address,
                        review_title: review_title,
                        review_description: review_description,
                        page_post_id: erp_page_post_id,
                        erp_ddef_rev_temp: erp_ddef_rev_temp,
                        parent_form_id: erp_parent_form_id,
                        form_review_values: form_datavalues,
                        grecaptcha_response_val: grecaptcha_response_val,
                        _wpnonce: erp_frontend_js_params.ajax_nonce,
                        action: 'erp_everest_review_form_submission'
                    },

                    beforeSend: function () {
                        $this.parent().find('span.erp-result-message-loader').show();
                        $this.attr("disabled", true);
                        return true;
                    },
                    success: function (response) {
                        if (response == 0) {
                        } else {
                            getQueryVariable(response);

                            var first_message_return = first_message.split("=");
                            var first_message_return_message = first_message_return[1];
                            var second_message_return = second_message.split("=");
                            var second_message_return_message = second_message_return[1];
                            if (first_message_return_message === 'error') {
                                $this.parents('.erp-review-submission-form').find('.erp-result-message-field').removeClass('erp-review-success-message').addClass('erp-review-error-message');
                                $this.parents('.erp-review-submission-form').find('.erp-result-message-field').html(second_message_return_message);
                            } else if (first_message_return_message === 'success') {
                                $this.parents('.erp-review-submission-form').find('.erp-result-message-field').removeClass('erp-review-error-message').addClass('erp-review-success-message');
                                $this.parents('.erp-review-submission-form').find('.erp-result-message-field').html(second_message_return_message);

                                $this.parents('.erp-submission-form-wrapper').find('.erp-star-rating-input').each(function () {
                                    $(this).rateYo("option", "rating", "0");
                                });

                                $this.parents('.erp-submission-form-wrapper').find('.counter').each(function () {
                                    $(this).html('');
                                });

                                if ($this.parents('.erp-submission-form-wrapper').find('#g-recaptcha-response').length > 0) {
                                    grecaptcha.reset();
                                }

                                if (first_message_return_message == 'success') {
                                    $this.parents('.erp-submission-form-wrapper').find('input[type="text"]').val('');
                                    $this.parents('.erp-submission-form-wrapper').find('input[type="email"]').val('');
                                    $this.parents('.erp-submission-form-wrapper').find('textarea').val('');
                                }
                            }
                        }
                    }
                    ,
                    complete: function (response) {
                        $this.parent().find('span.erp-result-message-loader').fadeOut();
                        $this.attr("disabled", false);
                        return false;
                    }
                }
                );
                return true;
            }
        }); //Frontend Review Submission Form ends

        $('body').on('click', '.erp-filter-reviews', function () {
            $(this).parents('.erp-user-review-section-wrap').find('.erp-filter-reviews').removeClass('erp-active-filter-tab');
            $(this).addClass('erp-active-filter-tab');
            var board_id = $(this).data('filter-value');
            $(this).parents('.erp-user-review-section-wrap').find('.erp-filter-reviews-content').each(function () {
                $(this).hide();
            });
            $('#erp-filtered-reviews-content-' + board_id).show();
        });

        $('body').on('click', '.erp-loadmore', function (e) {
            var filter_this = $(this);
            var filter_value = filter_this.parents('.erp-filter-reviews-content').data('filter-value');
            var last_fetched_id = filter_this.data('last-id');
            var limit_val = filter_this.data('page');
            var current_page_id = filter_this.parents('.erp-user-review-section-wrap').data('curr-id');
            var current_review_id = filter_this.parents('.erp-user-review-section-wrap').data('def-rev-id');
            var current_review_form_id = filter_this.parents('.erp-user-review-section-wrap').data('rev-for-id');

            console.log('last filter_value: ' + filter_value, 'current_page_id: ' + current_page_id, 'current_review_id: ' + current_review_id, 'current_review_form_id: ' + current_review_form_id, 'last fetched id: ' + last_fetched_id);
            $.ajax({
                url: erp_frontend_js_params.ajax_url,
                dataType: 'text',
                type: 'post',
                data: {
                    filter_value: filter_value,
                    last_fetched_id: last_fetched_id,
                    limit_val: limit_val,
                    current_page_id: current_page_id,
                    current_review_id: current_review_id,
                    current_review_form_id: current_review_form_id,
                    _wpnonce: erp_frontend_js_params.ajax_nonce,
                    action: 'erp_everest_review_filter_ajax_load_more'
                },
                beforeSend: function () {
                    filter_this.parent().find('.erp-result-message-loader').show();
                    return true;
                },
                success: function (response) {
                    filter_this.parents('.erp-filter-reviews-content').append(response).fadeIn();
                    //Display Slider Rating for Admin
                    $('.erp-slider-admin-rating').find(".erp-slider-input").each(function () {
                        var min_val = $(this).data('min-val');
                        min_val = (min_val !== '') ? min_val : 1;
                        var max_val = $(this).data('max-val');
                        max_val = (max_val !== '') ? max_val : 10;
                        var increment_type = $(this).data('increment-type');
                        increment_type = (increment_type !== '') ? increment_type : 0.1;
                        var slider_type = $(this).data('slider-type');
                        slider_type = (slider_type !== '') ? slider_type : 'horizontal';
                        var slider_value = $(this).data('slider-value');
                        $(this).slider({
                            range: "min",
                            min: min_val,
                            max: max_val,
                            step: increment_type,
                            orientation: slider_type,
                            value: slider_value,
                        });
                        $(this).on("slide", function (event, ui) {
                            return false;
                        });
                    });
                    //Display Star Rating for Admin Review
                    $('.erp-star-admin-rating').find(".erp-star-rating-input").each(function () {
                        $this = $(this);

                        var max_val = $(this).data('max-val');
                        max_val = (max_val !== '') ? max_val : 5;

                        var star_number = $(this).data('star-number');
                        star_number = (star_number !== '') ? star_number : 5;
                        star_inc_type = $(this).data('increment-type');
                        star_inc_type_half = (star_inc_type !== '' && star_inc_type == 0.5) ? true : false;
                        star_inc_type_full = (star_inc_type !== '' && star_inc_type == 1) ? true : false;

                        var star_width = $(this).data('star-width');
                        star_width = (star_width !== '') ? star_width + 'px' : 28 + 'px';

                        var star_spacing = $(this).data('star-spacing');
                        star_spacing = (star_spacing !== '') ? star_spacing + 'px' : 1 + 'px';

                        var star_multi_enable = $(this).data('star-multicolor-enable');
                        star_multi_enable = (star_multi_enable !== '') ? star_multi_enable : 'off';

                        var star_multi_start = $(this).data('star-multicolor-start');
                        star_multi_start = (star_multi_start !== '') ? star_multi_start : '';

                        var star_multi_end = $(this).data('star-multicolor-end');
                        star_multi_end = (star_multi_end !== '') ? star_multi_end : '';

                        if (star_multi_enable == 'on') {
                            var multicolor_bol = {"startColor": star_multi_start, "endColor": star_multi_end}
                        } else {
                            var multicolor_bol = false;
                        }

                        var star_value = $(this).data('star-value');
                        star_value = (star_value !== '') ? star_value : 0;

                        var star_rated_fill = $(this).data('star-rated-fill');
                        star_rated_fill = (star_rated_fill !== '') ? star_rated_fill : '#F39C12';

                        $(this).rateYo({
                            numStars: star_number,
                            fullStar: star_inc_type_full,
                            halfStar: star_inc_type_half,
                            maxValue: max_val,
                            ratedFill: star_rated_fill,
                            readOnly: true,
                            starWidth: star_width,
                            spacing: star_spacing,
                            rating: star_value,
                            multiColor: multicolor_bol,

                        });
                    });

                    //Display Circular Rating for Admin Review Frontend
                    $('.erp-bar-admin-rating').find(".erp-bar-rating-input").each(function () {
                        $this = $(this);
                        var bar_value = $(this).data('bar-value');
                        bar_value = (bar_value !== '') ? bar_value : 0;

                        var progressBarColor = $(this).data('bar-rated-fill');
                        progressBarColor = (progressBarColor !== '') ? progressBarColor : '#F39C12';

                        $(this).simpleSkillbar({});
                    });

                    $('.erp-circular-admin-rating').find("#erp-circular-rating-input").each(function () {
                        $circular_this = $(this);
                        var circular_inner_text = $(this).data('inner-text');
                        circular_inner_text = (circular_inner_text !== '') ? circular_inner_text : '';

                        var circularBarColor = $(this).data('circular-rated-fill');

                        circularBarColor = (circularBarColor !== '') ? circularBarColor : '#F39C12';

                        $($circular_this).percircle({
                            text: circular_inner_text,
                            progressBarColor: circularBarColor,
                            animate: false
                        });
                    });
                },
                complete: function (response) {
                    filter_this.parent().find('.erp-result-message-loader').hide();
                    filter_this.parent().remove();
                }
            });
        }); //Frontend Filter Review Ends

        // Function to validates email address
        function validateEmail(email) {
            var filter = /^[\w\-\.\+]+\@[a-zA-Z0-9\.\-]+\.[a-zA-z0-9]{2,4}$/;
            if (filter.test(email)) {
                return true;
            } else {
                return false;
            }
        }
        /* 
         * Function to split the message from backend 
         */
        function getQueryVariable(response) {
            var vars = response.split("&");
            first_message = vars[0];
            second_message = vars[1];
            return first_message, second_message;
        }
        /* 
         * Function to smooth scroll to user review form section
         */
        $('body').find('span.erp-link-to-user-review-form a[href^="#"]').on('click', function (e) {
            e.preventDefault();
            //calculate destination place
            var dest = 0;
            if ($(this.hash).offset().top > $(document).height() - $(window).height()) {
                dest = $(document).height() - $(window).height();
            } else {
                dest = $(this.hash).offset().top - 40;
            }
            //go to destination
            $('html,body').animate({scrollTop: dest}, 1000, 'swing');

        });

        /** Implementing Pretty photo on Backend Testimonial Listing
         $("a[rel^='prettyPhoto']").prettyPhoto({
         social_tools: false,
         deeplinking: false,
         hideflash: false,
         allow_expand: false,
         theme: 'dark_square ',
         });
         */
    }); /** Function ends */

}(jQuery));